import ddf.minim.*;
import ddf.minim.analysis.*;

int i;
float x;

Minim minim;
AudioPlayer player;

void setup() {
  size(1000, 500);
  background(0);
  minim = new Minim(this);
  player = minim.loadFile("Spirit in the Sky.mp3");
  player.play();
  
  println("Press key to loop song.");
  println("Press mouse to save image.");

  for (int i = 0;i<player.bufferSize()-1;i++) {
    line(i, 50+player.left.get(i)*100, i+1, 50+player.left.get(i+1)*50);
    line(i, 100+player.left.get(i)*150, i+1, 100+player.left.get(i+1)*50);
    line(i, 150+player.left.get(i)*100, i+1, 150+player.left.get(i+1)*50);
    line(i, 200+player.left.get(i)*150, i+1, 200+player.left.get(i+1)*50);
    line(i, 250+player.left.get(i)*200, i+1, 250+player.left.get(i+1)*100);
    line(i, 300+player.left.get(i)*150, i+1, 300+player.left.get(i+1)*50);
    line(i, 350+player.left.get(i)*100, i+1, 350+player.left.get(i+1)*50);
    line(i, 400+player.left.get(i)*150, i+1, 400+player.left.get(i+1)*50);
    line(i, 450+player.left.get(i)*100, i+1, 450+player.left.get(i+1)*50);
    ellipse(width/2, height/2, 100, 100);
  }
}


void draw() {
  background(0);
  noFill();
  stroke(random(100, 200), random(150, 250), random(200, 255), random(20, 100));
  strokeWeight(2);
  for (int i = 0;i<player.bufferSize()-1;i++) {
    line(i, 50+player.left.get(i)*100, i+1, 50+player.left.get(i+1)*50);
    line(i, 100+player.left.get(i)*150, i+1, 100+player.left.get(i+1)*200);
    line(i, 150+player.left.get(i)*100, i+1, 150+player.left.get(i+1)*50);
    line(i, 200+player.left.get(i)*150, i+1, 200+player.left.get(i+1)*50);
    line(i, 250+player.left.get(i)*200, i+1, 250+player.left.get(i+1)*200);
    line(i, 300+player.left.get(i)*150, i+1, 300+player.left.get(i+1)*50);
    line(i, 350+player.left.get(i)*100, i+1, 350+player.left.get(i+1)*50);
    line(i, 400+player.left.get(i)*150, i+1, 400+player.left.get(i+1)*200);
    line(i, 450+player.left.get(i)*100, i+1, 450+player.left.get(i+1)*50);
    ellipse(random(0, 1000), random(0, 500), i*100, i*20);

    if (keyPressed) {
      player.loop();
    }
    if (mousePressed) {
      saveFrame("song-#####.jpg");
    }
  }
}


